Update Metadata (set/remove multiple keys)
Update multiple metadata keys at once. Null values and empty strings remove keys. + If `machine_version` is provided and no longer matches the current machine version, returns 412 Precondition Failed.
Update multiple metadata keys at once. Null values and empty strings remove keys.
- If
machine_versionis provided and no longer matches the current machine version, returns 412 Precondition Failed.
Authorization
bearerAuth A Fly.io access token. Create one with fly tokens create.
In: header
Path Parameters
Fly App Name
Machine ID
Request Body
application/json
Update metadata request
Response Body
application/json
application/json
curl -X PUT "https://example.com/apps/string/machines/string/metadata" \ -H "Content-Type: application/json" \ -d '{}'{ "details": {}, "error": "string", "status": "unknown"}{ "details": {}, "error": "string", "status": "unknown"}Get Metadata GET
Retrieve metadata for a specific Machine within an app.
Update Metadata (set/remove multiple keys) PUT
Update multiple metadata keys at once. Null values and empty strings remove keys. + If `machine_version` is provided and no longer matches the current machine version, returns 412 Precondition Failed.